# Geo (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard.property

## Class Geo

- java.lang.Object
- - net.fortuna.ical4j.vcard.Property
  - - net.fortuna.ical4j.vcard.property.Geo

All Implemented Interfaces:
  Serializable

    public final class Geo
    extends Property

GEO property. $Id$ Created on 19/09/2008

Author:
  Ben
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class net.fortuna.ical4j.vcard.Property

`Property.Id`

### Field Summary

Fields
`static PropertyFactory<Geo>` `FACTORY`

### Fields inherited from class net.fortuna.ical4j.vcard.Property

`ILLEGAL_PARAMETER_MESSAGE`

### Constructor Summary

Constructors
Constructor and Description
`Geo(BigDecimal latitude, BigDecimal longitude)`
`Geo(Group group, List<Parameter> params, String value)` Factory constructor.
`Geo(List<Parameter> params, String value)` Factory constructor.

### Method Summary

Methods
`BigDecimal` `getLatitude()`
`BigDecimal` `getLongitude()`
`String` `getValue()`
`void` `validate()`

### Methods inherited from class net.fortuna.ical4j.vcard.Property

`assertOneOrLess, assertParametersEmpty, assertPidParameter, assertPrefParameter, assertTextParameter, assertTypeParameter, equals, getExtendedParameter, getExtendedParameters, getGroup, getId, getParameter, getParameters, getParameters, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FACTORY

    public static final PropertyFactory<Geo> FACTORY

### Constructor Detail

#### Geo

    public Geo(BigDecimal latitude,
       BigDecimal longitude)

Parameters:
  `latitude` - a latitude value
  `longitude` - a longitude value

#### Geo

    public Geo(List<Parameter> params,
       String value)

Factory constructor.

Parameters:
  `params` - property parameters
  `value` - string representation of a property value

#### Geo

    public Geo(Group group,
       List<Parameter> params,
       String value)

Factory constructor.

Parameters:
  `group` - property group
  `params` - property parameters
  `value` - string representation of a property value

### Method Detail

#### getValue

    public String getValue()

Specified by:
  `getValue` in class `Property`
Returns:
  a string representaion of the property propertyName

#### getLatitude

    public BigDecimal getLatitude()

Returns:
  the latitude

#### getLongitude

    public BigDecimal getLongitude()

Returns:
  the longitude

#### validate

    public void validate()
                  throws net.fortuna.ical4j.model.ValidationException

Specified by:
  `validate` in class `Property`
Throws:
  `net.fortuna.ical4j.model.ValidationException` - where the property fails validation rules